Subject: Re: [manet] #4: Change to handling of Route.Dist for AdditionalNode routing information

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 13 Jun 2013 13:36:41 -0700

Hello folks,

This change has been superceded in the specification without noticeable
loss of function or any disagreement.  It does not seem to have any bad
interaction with the way the specification deals with alternative metrics.

I think the issue can be safely closed, unless there is anyone with more
relevant discussion points.

Regards,
Charlie P.

On 11/2/2012 7:41 PM, manet issue tracker wrote:
> #4: Change to handling of Route.Dist for AdditionalNode routing information
>
>   Normal RREQ + RREP processing for route information always requires
>   inclusion of a valid Route.Dist (i.e., Hop Count [as of the current
>   revision]).  Optionally, routing information related to "Additional Nodes"
>   can be included for nodes that are not themselves AODVv2 routers.  For
>   such nodes, provision has been made to include relevant information (e.g.,
>   next hop) without requiring a valid Route.Dist for the additional node.
>   However, this makes some of the specification more difficult to
>   understand.  The same effect can be achieved by assigning a large value
>   for Route.Dist, so that any measured hop count will have the proper effect
>   of updating the route table entry.  Such a parameter is available now,
>   namely MAX_HOPCOUNT.  This only affects the optional inclusion of routing
>   information about Additional Nodes.
>

-- 
Regards,
Charlie P.